import request from '@/utils/request'

// 查询消防水带箱列表
export function listFirehose(query) {
  return request({
    url: '/ehs/firehose/list',
    method: 'get',
    params: query
  })
}

// 查询消防水带箱详细
export function getFirehose(id) {
  return request({
    url: '/ehs/firehose/' + id,
    method: 'get'
  })
}

// 新增消防水带箱
export function addFirehose(data) {
  return request({
    url: '/ehs/firehose',
    method: 'post',
    data: data
  })
}

// 修改消防水带箱
export function updateFirehose(data) {
  return request({
    url: '/ehs/firehose',
    method: 'put',
    data: data
  })
}

// 删除消防水带箱
export function delFirehose(id) {
  return request({
    url: '/ehs/firehose/' + id,
    method: 'delete'
  })
}

// 导出消防水带箱
export function exportFirehose(query) {
  return request({
    url: '/ehs/firehose/export',
    method: 'get',
    params: query
  })
}

// 批量修改消防水带箱
export function batchEdit(data) {
  return request({
    url: '/ehs/firehose/batchEdit',
    method: 'post',
    data: data
  })
}
